Summary: Database-specific drivers for libdbi
Name: libdbi-drivers
Version: 0.7.1
Release: 3
Group: Development/Libraries
License: LGPL
URL: http://libdbi-drivers.sourceforge.net/
Source: http://prdownloads.sourceforge.net/libdbi-drivers/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: libdbi >= 0.7
BuildRequires: libdbi-devel >= 0.7

%description
libdbi implements a database-independent abstraction layer in C, similar to the
DBI/DBD layer in Perl. Writing one generic set of code, programmers can
leverage the power of multiple databases and multiple simultaneous database
connections by using this framework.

libdbi-drivers contains the database-specific plugins needed to connect
libdbi to particular database servers.

%package -n libdbi-dbd-mysql
Summary: MySQL plugin for libdbi
Group: Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires: mysqlclient10
BuildRequires: mysqlclient10-devel

%description -n libdbi-dbd-mysql
This plugin provides connectivity to MySQL database servers through the
libdbi database independent abstraction layer. Switching a program's plugin
does not require recompilation or rewriting source code.

%package -n libdbi-dbd-pgsql
Summary: PostgreSQL plugin for libdbi
Group: Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires: postgresql-libs
BuildRequires: postgresql-devel, krb5-devel, openssl-devel

%description -n libdbi-dbd-pgsql
This plugin provides connectivity to PostgreSQL database servers through the
libdbi database independent abstraction layer. Switching a program's plugin
does not require recompilation or rewriting source code.

%clean 
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%prep
%setup -q -n %{name}-%{version}

%build
# configure is broken, must pass both --with-*sql-libdir _AND_
# --with-*sql-incdir in order for --with-*sql-libdir to be used
%configure --with-mysql --with-pgsql --with-mysql-libdir=%{_libdir}/mysql3/mysql \
	--with-mysql-incdir=%{_includedir}/mysql3 \
	--with-pgsql-libdir=%{_libdir} \
	--with-pgsql-incdir=%{_includedir}

make %{?_smp_mflags}

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS
%doc ChangeLog
%doc COPYING
%doc README
%dir %{_libdir}/dbd

%files -n libdbi-dbd-mysql
%defattr(-,root,root)
%{_libdir}/dbd/libmysql.*

%files -n libdbi-dbd-pgsql
%defattr(-,root,root)
%{_libdir}/dbd/libpgsql.*

%changelog
* Tue Apr 12 2005 Tom Lane <tgl@redhat.com> 0.7.1-3
- Rebuild for Postgres 8.0.2 (new libpq major version).

* Fri Mar 11 2005 Tom Lane <tgl@redhat.com> 0.7.1-2
- Packaging improvements per discussion with sopwith.

* Thu Mar 10 2005 Tom Lane <tgl@redhat.com> 0.7.1-1
- Import new libdbi version, splitting libdbi-drivers into a separate SRPM
  so we can track new upstream packaging.
